---
name: "⚠️ Bug Report"
about: Report a bug with existing Awesome Notifications features.
title: ''
labels: bug, in triage
assignees: ''

---

# Rules

<!-- ====== ⚠️ WARNING ⚠️ ======
If you remove, do not respond the form bellow or break the posting rules, your issue will be ***closed*** and marked as ***invalid***.
If your issue was marked with ***invalid***, its content will not be read.
Please respect the rules below and we will respond you as soon as possible.
-->

To report a bug and help us to provide the solution as fast as possible, please follow the instructions below:

## **1 - Describe the bug**

A clear and concise description of what the bug is. 

OBS: avoid to use the expression **"its not working"** or **"is working"** or any other variation. These expressions can mean anything and at same time doesn´t bring any useful information. As soon you rewrite these expressions, you naturally going to be more precise and clear.

## **2 - Provide us as much information as possible**

To help us to understand your issue, provide with your bug report all the relevant informations, such as:

* Your plugins list inside the file `pubspec.yaml` (at least all notification plugins)
* What platform did you found the issue
* What devices did you found the issue
* How are you initializing the plugin
* How are you creating the notification
* The output of `flutter doctor` command

OBS: To post a source code in your issue, please use the markdown below:

```Dart
print('Your source code goes here');
```

## **3 - How To Reproduce the Error**

Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

...or if you prefer, you can provide us a simple example app on GitHub with the issue already reproduced instead of the steps 2 and 3.

## **4 - Expected behavior**
A clear and concise description of what you expected to happen.

## **5 - Screenshots**
If applicable, add screenshots to help explain your problem.

## **6 - Additional context**
Add any other context about the problem here.
